import Component from '@glimmer/component';
import type DialogStackProvider from 'ember-headlessui/services/dialog-stack-provider';
/**
 * Expose the element that the `Dialog` should be "slotted" into
 *
 * This is exported _only_ for testing purposes; do not consider this API to be public
 *
 * @private
 */
export declare function getPortalRoot(): any;
interface Args {
    isOpen: boolean;
    onClose: () => void;
    as: string | typeof Component;
}
export default class DialogComponent extends Component<Args> {
    dialogStackProvider: DialogStackProvider;
    DEFAULT_TAG_NAME: string;
    guid: string;
    $portalRoot: any;
    outsideClickedElement: HTMLElement | null;
    handleEscapeKey: unknown;
    lockWindowScroll: unknown;
    constructor(owner: unknown, args: Args);
    get tagName(): string | typeof Component;
    get dialogElementSelector(): string;
    get overlayGuid(): string;
    get titleGuid(): string;
    get descriptionGuid(): string;
    setReturnFocus(trigger: HTMLElement): HTMLElement;
    allowOutsideClick(e: MouseEvent): boolean;
    onClose(): void;
}
export {};
